Get session list

Using this API, you can get sessions details for an event.

You need to send eventurl as a path parameter. You can pass page, size, expand, tagIds, trackIds, sessionFormat, past, showPastAndUpcoming, filterDate and calledFrom as query parameter for pagination and filter support.

This API can be used by any registered attendee within the event.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

AttributesDescription
sessionIdThis session ID represent unique ID of each session. It will generate automatically when it's create new session for event.
titleIt's contains title of session.
startTimeIt's contains session start time. When the particular session start and it will return in yyyy/MM/dd HH:mm format.
endTimeIt's contains session end time. When the particular session end, and it will return in yyyy/MM/dd HH:mm format.
locationLocation for session.
descriptionIt's contains the detail description of session.
It's only 65024 Characters are allowed to add description.
capacityIt's returns the capacity in number for session to allow maximum number of user can join.
statusIt's contains the session status type, there are two type of session visibility : VISIBLE, HIDDEN.
Visible status will show in session list and hidden status will do not show in session list.
formatIt's returns the session format. Can set when create session. There are seven type of session can create that contains MAIN_STAGE, BREAKOUT_SESSION, MEET_UP, WORKSHOP, EXPO, BREAK, OTHER.
speakerListIt's returns the list of speakers that associated with session. It's contains speaker details like speakerId, firatName, lastName, photoUrl and other.
sessionStatsIt's contains details of attendee count, interested user count, registered user count.
For getting this, details need to pass in API endpoint as expand.
registerdHolderUsersIt's contains details of registered user details who register for session. It's contain details like event ticketing ID, user ID, first name, last name, email, phone number and other.
currentUserRegisteredEventTicketIdIt's contains the Event Ticketing ID that a ticketing holder user registered for a session. Event Ticketing ID generates when we create Ticketing Type.
purchaserUserRegisteredEventTicketIdIt's contains the Event Ticketing ID that a ticketing holder user purchaser for a session. Event Ticketing ID generates when we create Ticketing Type.
durationIt's contains the session time span.
chatEnabledIf enabled chat is true, then session chat will show in portal page. If false, then it will not show.
pollEnabledIf enabled poll is true, then session poll will show in portal page. If false, then it will not show.
quesAndAnsEnabledIf enabled QuesAndAns is true, then session QuesAndAns will show in portal page. If false, then it will not show.
hideSessionFromAttendeesIt will hide session from attendee if flag returns true from display page and portal page.
tagsLlist of tags associated with a session. User can add tags for session while creating or updating session.
tracksIt contains the tracks details like ID, name, colour, description and position. It will filter session from all session.
ticketTypesThatCanBeRegisteredIt will contain ticketing type IDs with comma separated value. That only ticketing type can register for session.
streamProviderIt's identify session stream provider, it can be ACCELEVENTS, WISTIA, YOUTUBE, VIMEO, FACEBOOK, ZOOM, DIRECT_UPLOAD.
subStreamProviderIt's identify session sub stream provider, it can be VOXEET, CHIME, OPENTOK, AGORA.
streamUrlIt's a session stream endpoint.
streamKeyUnique key used for streaming to a Mux RTMP endpoint. This should be considered as sensitive as credentials, anyone with this stream key can begin streaming.
rtmpUrlMux's standard RTMP entry point. Compatible with the majority of streaming applications and services.
meetingPasswordSession meeting password if host set for session.
accelEventsStudioIt returns true if stream provider is ACCELEVENTS else false.
directVideoAutoStartIf returns true, session video start automatically when enter into session.
sessionVisibilityTypeSession visibility type PUBLIC, PRIVATE
PUBLIC session will show to all at portal and display side.
PRIVATE session will not visible at portal and display side.
sponsorListList of sponsor with their details associated with the session.
recordSessionIt's returns boolean for either wants to record session.
hideVideoControlsIt's returns boolean for either wants to hide or show video controls from attendee.
exihiborListList of exhibitors with their details which associated with session.
postSessionCallToActionJsonIt's returns details for postSessionCallToActionJson which is when the session ends it should see a message suggesting what I should go see next during the event.
playBackRestrictionTokenIt's contains playback restriction token, which is allows you to set additional rules for playing videos. For instance, viewers can play videos embedded on the https://example.com website when you set the Playback Restrictions with example.com as an allowed domain. Any Video requests from other websites are denied.
thumbnailRestrictionTokenIt's contains playback restriction token, which is allows you to set additional rules for thumbnails. For instance, viewers can view thumbnails embedded on the https://example.com website when you set the Playback Restrictions with example.com as an allowed domain. Any thumbnails request from other websites are denied.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4040200Event Not Found
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Query Params
int32
Defaults to 0

Pages are zero indexed, thus providing 0 for page will return the first page.

string
Defaults to 10

Size will returns number of records when call api default will returns 10 records

string

Expands Get Records accordingly we are passing in request param in expand value as comma separated like : TAG,TRACK,SPEAKER,currentUserRegisteredEventTicketId

string

Filter Tag Ids in comma separated for filtering session records according to tags

string

Filter Tracks Ids in comma separated for filtering session records according to Tracks

string

This Attribute used to return filter session like MAIN_STAGE,BREAKOUT_SESSION,MEET_UP, WORKSHOP, EXPO, BREAK or OTHER to get session list accordingly

boolean

If past is null, i.e not passed, it will pull all sessions, past=true, should pull past session, past=false, should pull upcoming sessions

boolean

If showPastAndUpcoming is true, it will pull all sessions, showPastAndUpcoming=false, should pull upcoming sessions

string

Date format should be yyyy-MM-dd’T’HH:mm:ssZ, E.g 2020-06-19T00:00:00+0530, Hours and minutes should be zero

string

Toggle to Hide this session from attendees who cannot register for this session should only be applicable to portal agenda

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json